import { Room } from "matrix-js-sdk/src/matrix";
import HeaderButtons from "./HeaderButtons";
import { RightPanelPhases } from "../../../stores/right-panel/RightPanelStorePhases";
import { ActionPayload } from "../../../dispatcher/payloads";
interface IProps {
    room?: Room;
    excludedRightPanelPhaseButtons?: Array<RightPanelPhases>;
}
/**
 * @deprecated will be removed as part of 'feature_new_room_decoration_ui'
 */
export default class LegacyRoomHeaderButtons extends HeaderButtons<IProps> {
    private static readonly THREAD_PHASES;
    private globalNotificationState;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onNotificationUpdate;
    private get notificationLevel();
    private onUpdateStatus;
    protected onAction(payload: ActionPayload): void;
    private onRoomSummaryClicked;
    private onNotificationsClicked;
    private onPinnedMessagesClicked;
    private onTimelineCardClicked;
    private onThreadsPanelClicked;
    renderButtons(): JSX.Element;
}
export {};
